<!--
SPDX-FileCopyrightText: 2023 - 2024 Daniel Wolf <nephatrine@gmail.com>

SPDX-License-Identifier: ISC
-->

[Git](https://code.nephatrine.net/NephNET/builder-cross-haiku/src/branch/master) |
[Docker](https://hub.docker.com/r/nephatrine/nxb-cross-haiku/)

# NXBuilder

This docker image contains the C/C++ build environment I use for projects. It is
intended to be used by a CI/CD service to perform builds and not kept running
beyond that. It can also be used as a quick "cleanroom" to test builds in.

### Base OS:

- [Debian Linux](https://www.debian.org/)

### Compilers

- [GCC](https://gcc.gnu.org/)
- [Go](https://go.dev/)

### Cross-Compilers

- [Haiku](https://haiku-os.org/)

### Other Tools

- [CMake](https://cmake.org/)
- [Doxygen](http://www.doxygen.nl/)
- [M.CSS](https://mcss.mosra.cz/documentation/doxygen/)
- [Ninja](https://ninja-build.org/)
- [NPM](https://npmjs.com/)
- [TeX Live](https://www.tug.org/texlive/)

You can spin up a quick temporary test container like this:

~~~
docker run --rm -ti nephatrine/nxb-cross-haiku:latest /bin/bash
~~~
