# SPDX-FileCopyrightText: 2023 Daniel Wolf <nephatrine@gmail.com>
#
# SPDX-License-Identifier: ISC

set(CMAKE_SYSTEM_NAME "BeOS")
set(CMAKE_SYSTEM_VERSION 1)
set(CMAKE_SYSTEM_PROCESSOR "i586")
set(CMAKE_SIZEOF_VOID_P 4)

set(triplet "${CMAKE_SYSTEM_PROCESSOR}-pc-haiku")

#-fsysroot is not a thing for GCC 2.95
#set(CMAKE_SYSROOT "$ENV{HAIKU_SYSROOT}")
list(APPEND CMAKE_PREFIX_PATH "/opt/haiku/cross-tools-x86_gcc2" "/opt/haiku/cross-tools-x86_gcc2/${triplet}")

find_program(CMAKE_C_COMPILER NAMES "${triplet}-gcc")
find_program(CMAKE_CXX_COMPILER NAMES "${triplet}-g++")

find_program(CMAKE_AR NAMES "${triplet}-gcc-ar" "${triplet}-ar")
find_program(CMAKE_RANLIB NAMES "${triplet}-gcc-ranlib" "${triplet}-ranlib")
find_program(CMAKE_STRIP NAMES "${triplet}-strip")
find_program(CMAKE_LINKER NAMES "${triplet}-ld")
find_program(CMAKE_NM NAMES "${triplet}-gcc-nm" "${triplet}-nm")
find_program(CMAKE_OBJDUMP NAMES "${triplet}-objdump")
find_program(CMAKE_OBJCOPY NAMES "${triplet}-objcopy")
find_program(CMAKE_READELF NAMES "${triplet}-readelf")
find_program(CMAKE_ADDR2LINE NAMES "${triplet}-addr2line")

set(CMAKE_C_COMPILER_TARGET "${triplet}")
set(CMAKE_CXX_COMPILER_TARGET "${triplet}")
set(CMAKE_ASM_COMPILER_TARGET "${triplet}")

set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE ONLY)

set(CMAKE_DEPENDS_USE_COMPILER  OFF)
